Subject: Re: [PATCH] added *my-open-bugs functions

From: [email-masked]
Date: Mon, 03 Oct 2022 20:02:38 +0000

October 2, 2022 8:52 AM, "Michael Albinus" <[email-masked]> wrote:

> Joshua Branson <[email-masked]> writes:
> 
> Hi Joshua,
> 
>> * debbugs-gnu.el: debbugs-gnu-my-open-bugs: new procedure.
>> * debbugs-org.el: debbugs-org-my-open-bugs: new procedure.
>> * debbugs-guix.el: debbugs-gnu-guix-search: new procedure.
>> * debugs-ug.texi: added documentation for *my-open-bugs procedures.
> 
> Thanks for this. In order to push the changes, I'd like to get ChangeLog
> like commit messages.

I thought that's what I had.  I'll try to fix it.  I'll just look at
the git history.

> 
> debbugs-gnu-my-open-bugs and debbugs-org-my-open-bugs are explained in
> the UG. But since not everybody reads manuals, we explain the
> interactive commands also in the Commentary section of the respective
> file. Could you please do?
> 

Yes will do.

>> I did not actually compile the debbugs-ug.text, so it is possible that my
>> documentation makes the info program impossible to compile.
> 
> It compiles, but the reference to the Emacs manual is wrong. Better
> would be
> 
> --8<---------------cut here---------------start------------->8---
> (@pxref{Mail Headers, , , emacs}).
> --8<---------------cut here---------------end--------------->8---
> 
> It also wouldn't hurt if you add a small section about
> debbugs-gnu-guix-search. Everything, what is undocumenbted, doesn't
> exist :-)

I will do both points.  Should every interactive function in any *.el file 
have an autoload ?

>> Thanks,
>> Joshua
> Best regards, Michael.